# https://docs.microsoft.com/en-us/windows/win32/inputdev/virtual-key-codes
keycode_map = {
    "Left mouse": 1,
    "Right mouse": 2,
    "Control-break processing": 3,
    "Middle mouse": 4,
    "X1 mouse": 5,
    "X2 mouse": 6,
    "Undefined": 7,
    "BACKSPACE": 8,
    "TAB": 9,
    "CLEAR": 12,
    "ENTER": 13,
    "SHIFT": 16,
    "CTRL": 17,
    "ALT": 18,
    "PAUSE": 19,
    "CAPS LOCK": 20,
    "ESC": 27,
    "SPACEBAR": 32,
    "SPACE": 32,
    "PAGE UP": 33,
    "PAGE DOWN": 34,
    "END": 35,
    "HOME": 36,
    "LEFT ARROW": 37,
    "UP ARROW": 38,
    "RIGHT ARROW": 39,
    "DOWN ARROW": 40,
    "SELECT": 41,
    "PRINT": 42,
    "EXECUTE": 43,
    "PRINT SCREEN": 44,
    "INS": 45,
    "DEL": 46,
    "HELP": 47,
    "0": 48,
    "1": 49,
    "2": 50,
    "3": 51,
    "4": 52,
    "5": 53,
    "6": 54,
    "7": 55,
    "8": 56,
    "9": 57,
    "A": 65,
    "B": 66,
    "C": 67,
    "D": 68,
    "E": 69,
    "F": 70,
    "G": 71,
    "H": 72,
    "I": 73,
    "J": 74,
    "K": 75,
    "L": 76,
    "M": 77,
    "N": 78,
    "O": 79,
    "P": 80,
    "Q": 81,
    "R": 82,
    "S": 83,
    "T": 84,
    "U": 85,
    "V": 86,
    "W": 87,
    "X": 88,
    "Y": 89,
    "Z": 90,
    "Left Windows": 91,
    "Right Windows": 92,
    "Applications": 93,
    "Reserved": 252,
    "Computer Sleep": 95,
    "Numeric pad 0": 96,
    "Numeric pad 1": 97,
    "Numeric pad 2": 98,
    "Numeric pad 3": 99,
    "Numeric pad 4": 100,
    "Numeric pad 5": 101,
    "Numeric pad 6": 102,
    "Numeric pad 7": 103,
    "Numeric pad 8": 104,
    "Numeric pad 9": 105,
    "Multiply": 106,
    "Add": 107,
    "Separator": 108,
    "Subtract": 109,
    "Decimal": 110,
    "Divide": 111,
    "F1": 112,
    "F2": 113,
    "F3": 114,
    "F4": 115,
    "F5": 116,
    "F6": 117,
    "F7": 118,
    "F8": 119,
    "F9": 120,
    "F10": 121,
    "F11": 122,
    "F12": 123,
    "F13": 124,
    "F14": 125,
    "F15": 126,
    "F16": 127,
    "F17": 128,
    "F18": 129,
    "F19": 130,
    "F20": 131,
    "F21": 132,
    "F22": 133,
    "F23": 134,
    "F24": 135,
    "NUM LOCK": 144,
    "SCROLL LOCK": 145,
    "Left SHIFT": 160,
    "Right SHIFT": 161,
    "Left CONTROL": 162,
    "Right CONTROL": 163,
    "Left MENU": 164,
    "Right MENU": 165,
    "Browser Back": 166,
    "Browser Forward": 167,
    "Browser Refresh": 168,
    "Browser Stop": 169,
    "Browser Search": 170,
    "Browser Favorites": 171,
    "Browser Start and Home": 172,
    "Volume Mute": 173,
    "Volume Down": 174,
    "Volume Up": 175,
    "Next Track": 176,
    "Previous Track": 177,
    "Stop Media": 178,
    "Play/Pause Media": 179,
    "Start Mail": 180,
    "Select Media": 181,
    "Start Application 1": 182,
    "Start Application 2": 183,
    "OEM specific": 230,
    "IME PROCESS": 229,
    "Attn": 246,
    "CrSel": 247,
    "ExSel": 248,
    "Erase EOF": 249,
    "Play": 250,
    "Zoom": 251,
    "PA1": 253,
    "Clear": 254,
}
